package nc.vo.bchange.bchange;

import nc.vo.pub.*;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class BchangeMasterVO extends SuperVO {

	//构造方法
	public BchangeMasterVO() {
		super();
	}


    private java.lang.String pk_bchangemaster;
    private java.lang.String code;
    private java.lang.String name;
    private java.lang.String billno;
    private java.lang.String parent_no;
    private java.lang.String child_no;
    private java.lang.String before_num;
    private java.lang.String after_num;
    private java.lang.String pk_org;
    private java.lang.String pk_group;
    private java.lang.String pk_org_v;
	private java.lang.Integer dr = 0;
    private nc.vo.pub.lang.UFDateTime ts;


	public static final String PK_BCHANGEMASTER = "pk_bchangemaster";
	public static final String CODE = "code";
	public static final String NAME = "name";
	public static final String BILLNO = "billno";
	public static final String PARENT_NO = "parent_no";
	public static final String CHILD_NO = "child_no";
	public static final String BEFORE_NUM = "before_num";
	public static final String AFTER_NUM = "after_num";
	public static final String PK_ORG = "pk_org";
	public static final String PK_GROUP = "pk_group";
	public static final String PK_ORG_V = "pk_org_v";
	public static final String DR = "dr";
	public static final String TS = "ts";

	/**
	 * 属性name的Setter方法.属性名：主键
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setPk_bchangemaster(java.lang.String pk_bchangemaster){
		this.pk_bchangemaster = pk_bchangemaster;
	}
	/**
	 * 属性name的Getter方法.属性名：主键
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getPk_bchangemaster(){
		return this.pk_bchangemaster;
	}
	
	/**
	 * 属性name的Setter方法.属性名：code
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setCode(java.lang.String code){
		this.code = code;
	}
	/**
	 * 属性name的Getter方法.属性名：code
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getCode(){
		return this.code;
	}
	
	/**
	 * 属性name的Setter方法.属性名：name
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setName(java.lang.String name){
		this.name = name;
	}
	/**
	 * 属性name的Getter方法.属性名：name
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getName(){
		return this.name;
	}
	
	/**
	 * 属性name的Setter方法.属性名：施工单号
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setBillno(java.lang.String billno){
		this.billno = billno;
	}
	/**
	 * 属性name的Getter方法.属性名：施工单号
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getBillno(){
		return this.billno;
	}
	
	/**
	 * 属性name的Setter方法.属性名：父项编码
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setParent_no(java.lang.String parent_no){
		this.parent_no = parent_no;
	}
	/**
	 * 属性name的Getter方法.属性名：父项编码
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getParent_no(){
		return this.parent_no;
	}
	
	/**
	 * 属性name的Setter方法.属性名：子项编码
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setChild_no(java.lang.String child_no){
		this.child_no = child_no;
	}
	/**
	 * 属性name的Getter方法.属性名：子项编码
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getChild_no(){
		return this.child_no;
	}
	
	/**
	 * 属性name的Setter方法.属性名：变更前数量
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setBefore_num(java.lang.String before_num){
		this.before_num = before_num;
	}
	/**
	 * 属性name的Getter方法.属性名：变更前数量
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getBefore_num(){
		return this.before_num;
	}
	
	/**
	 * 属性name的Setter方法.属性名：变更后数量
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setAfter_num(java.lang.String after_num){
		this.after_num = after_num;
	}
	/**
	 * 属性name的Getter方法.属性名：变更后数量
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getAfter_num(){
		return this.after_num;
	}
	
	/**
	 * 属性name的Setter方法.属性名：pk_org
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setPk_org(java.lang.String pk_org){
		this.pk_org = pk_org;
	}
	/**
	 * 属性name的Getter方法.属性名：pk_org
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getPk_org(){
		return this.pk_org;
	}
	
	/**
	 * 属性name的Setter方法.属性名：pk_group
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setPk_group(java.lang.String pk_group){
		this.pk_group = pk_group;
	}
	/**
	 * 属性name的Getter方法.属性名：pk_group
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getPk_group(){
		return this.pk_group;
	}
	
	/**
	 * 属性name的Setter方法.属性名：组织多版本
	 * 创建日期:2025-08-26
	 * @param newName java.lang.String
	 */
	public void setPk_org_v(java.lang.String pk_org_v){
		this.pk_org_v = pk_org_v;
	}
	/**
	 * 属性name的Getter方法.属性名：组织多版本
	 * 创建日期:2025-08-26
	 * @return java.lang.String
	 */
	public java.lang.String getPk_org_v(){
		return this.pk_org_v;
	}
	
	/**
	 * 属性name的Setter方法.属性名：dr
	 * 创建日期:2025-08-26
	 * @param newName java.lang.Integer
	 */
	public void setDr(java.lang.Integer dr){
		this.dr = dr;
	}
	/**
	 * 属性name的Getter方法.属性名：dr
	 * 创建日期:2025-08-26
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getDr(){
		return this.dr;
	}
	
	/**
	 * 属性name的Setter方法.属性名：ts
	 * 创建日期:2025-08-26
	 * @param newName nc.vo.pub.lang.UFDateTime
	 */
	public void setTs(nc.vo.pub.lang.UFDateTime ts){
		this.ts = ts;
	}
	/**
	 * 属性name的Getter方法.属性名：ts
	 * 创建日期:2025-08-26
	 * @return nc.vo.pub.lang.UFDateTime
	 */
	public nc.vo.pub.lang.UFDateTime getTs(){
		return this.ts;
	}
	
	
	
	public java.lang.String getParentPKFieldName() {
	    return null;
	}   
    
	@Override
	public java.lang.String getPKFieldName() {
	  return "pk_bchangemaster";
	}
    
	/**
	 * <p>返回表名称.
	 * <p>
	 * 创建日期:
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getTableName() {
		return "mmbd_bchangemaster";
	}
	
	public static java.lang.String getDefaultTableName() {
		return "mmbd_bchangemaster";
	}    
    
	@Override
	@nc.vo.annotation.MDEntityInfo(beanFullclassName =  "nc.vo.bchange.bchange.BchangeMasterVO" )
	public IVOMeta getMetaData() {
		return VOMetaFactory.getInstance().getVOMeta("uapbd.bchangeMaster");
  	}
  	
}
